##! This module collects properties of the Zeek installation.
##!
##! Directories are absolute and guaranteed to exist. Not all are necessarily in
##! operational use -- this depends on how you're running Zeek (as a standalone
##! process or clusterized, via zeekctl or the Management framework, etc).
##!
##! For details about Zeek's version, see the :zeek:see:`Version` module.
module Installation;

export {
	## Zeek installation root directory.
	const root_dir = "@@HOMEBREW_CELLAR@@/zeek/7.0.4";

	## The installation's configuration directory.
	const etc_dir = "@@HOMEBREW_PREFIX@@/etc";

	## The installation's log directory.
	const log_dir = "@@HOMEBREW_CELLAR@@/zeek/7.0.4/logs";

	## The installation's spool directory.
	const spool_dir = "@@HOMEBREW_CELLAR@@/zeek/7.0.4/spool";

	## The installation's variable-state directory.
	const state_dir = "@@HOMEBREW_CELLAR@@/zeek/7.0.4/var/lib";
}
